# Maintainer: Nafis <mnabid.25@outlook.com>
# Contributor: Shayne Hartford <shayneehartford@gmail.com>
# Contributor: David P. <megver83@parabola.nu>
# Contributor: Antonio Rojas <arojas@archlinux,org>
# Contributor: Felix Yan <felixonmars@archlinux.org>
# Contributor: Andrea Scarpino <andrea@archlinux.org>
# Contributor: Pierre Schmitz <pierre@archlinux.de>

pkgname=dolphin-root
_pkgname=dolphin
pkgver=22.04.1
pkgrel=1
pkgdesc='KDE File Manager, patched to be able to run as root'
arch=(x86_64)
url='https://apps.kde.org/dolphin/'
license=(LGPL)
depends=(baloo-widgets knewstuff kio-extras kcmutils kparts kactivities kuserfeedback)
makedepends=(extra-cmake-modules kdoctools)
optdepends=('kde-cli-tools: for editing file type options' 'ffmpegthumbs: video thumbnails' 'kdegraphics-thumbnailers: PDF and PS thumbnails'
            'konsole: terminal panel' 'purpose: share context menu')
provides=('dolphin')
conflicts=('dolphin')
groups=(kde-applications kde-system)
source=(https://download.kde.org/stable/release-service/$pkgver/src/$_pkgname-$pkgver.tar.xz
        '0001-root-access.patch')
sha256sums=('SKIP'
            'SKIP')


prepare() {
  # root shall be allowed once again
  patch -d $_pkgname-$pkgver -Np1 < 0001-root-access.patch
}

build() {
  cmake -B build -S $_pkgname-$pkgver \
    -DBUILD_TESTING=OFF
  cmake --build build
}

package() {
  DESTDIR="$pkgdir" cmake --install build
  cd $pkgdir/usr/
  mv -fv lib64/* $pkgdir/usr/lib/
  rm -r $pkgdir/usr/lib64
}
